import { UiComponent } from "./UiComponent";
import { TeamAppsUiContext } from "./TeamAppsUiContext";
import { UiElegantPanelCommandHandler, UiElegantPanelConfig } from "../generated/UiElegantPanelConfig";
export declare class UiElegantPanel extends UiComponent<UiElegantPanelConfig> implements UiElegantPanelCommandHandler {
    private $element;
    private $contentContainer;
    private contentComponent;
    constructor(config: UiElegantPanelConfig, context: TeamAppsUiContext);
    getMainDomElement(): JQuery;
    setContent(content: UiComponent): void;
    protected onAttachedToDom(): void;
    onResize(): void;
    destroy(): void;
}
